fweb (1.62-15) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in TeX team
    Closes: #1118576
  * Secure URI in Homepage
  * d/copyright: DEP5
  * Build-Depends: libncurses5-dev => libncurses-dev
  * d/rules: short dh
  * Try to build with hardening options but failed (patches welcome)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Lintian-overrides for spare-manual-page
  * Fix typo in manpage

  [ Hilmar Preuße ]
  * Fix ftbfs with GCC-14/15
    Closes: #1074976

 -- Hilmar Preuße <hille42@debian.org>  Wed, 12 Nov 2025 07:35:49 +0100

fweb (1.62-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with TeXinfo 7.x (Closes: #1030350).

 -- Hilmar Preusse <hille42@web.de>  Fri, 05 Jan 2024 19:23:53 +0100

fweb (1.62-14) unstable; urgency=medium

  * Fix build with gcc-10 (Closes: #957241)
  * Remove usage of obsolete dh_buildinfo.

 -- Yann Dirson <dirson@debian.org>  Thu, 27 Aug 2020 21:12:35 +0200

fweb (1.62-13) unstable; urgency=medium

  * Use dh_installtex and remove old postinst/postrm contents,
    build-depend on tex-common (Closes: #821829).
  * Fix homepage link.
  * Fixed download URL in copyright file not to include (old) filename.
  * Add a debian/watch file.
  * Bumped Standards-Version to 3.9.7, removed dependency on install-info.

 -- Yann Dirson <dirson@debian.org>  Sat, 04 Jun 2016 16:44:43 +0200

fweb (1.62-12) unstable; urgency=low

  * Acknowledge NMU.
  * Further fix fweb-doc extended description.
  * Fix texi.info for compatibility with makeinfo 5.1 (Closes: #712333):
    * drop apparently-nonsensical @def@ifhtml
    * don't include @if(tex|info) inside @macro defs
    * add @ifhtml implementation of conditional @macro defs
    * fix subsection nesting level where needed
  * Fix texi.info direntry specification (lintian).

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Aug 2013 21:59:54 +0200

fweb (1.62-11.1) unstable; urgency=low

  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Description): Adjust first line (lintian).
    - (Homepage): Add.
    - (Recommends): Change to tetex-base to texlive (Closes: #601268).
    - (Standards-Version): Update to 3.9.2.
    - (Suggests): Remove tetex-base.
    Package fweb-doc
    - (Description): Extend first line (Lintian).
    - (Depends): Add ${misc:Depends}, add dpkg (>= 1.15.4) | install-info
    - (Section): Add doc.
  * debian/copyright
    - Remove obsolete FSF address. Correct GPL path.
  * debian/idxmerge.1
    - Fix hyphen-used-as-minus-sign (Lintian).
  * debian/patches
    - New. Convert embedded changes to upstream code into individual patches.
  * debian/rules
    - Replace obsolete dh_clean with dh_prep
    - (build-arch, build-indep): New (W: Lintian).
    - (clean): Adjust make call Web/Makefile (Lintian).
      Delete generated files: Web/fweave.mds Web/fweave.ndx
    - (docdir): Install docs to $package-doc.
    - (infodir): New variable.
    - (install): Don't create directory doc-base (lintian).
      Don't create empty info dir (Lintian).
    - (tmpdir): Install to $package, not tmp dir thus no longer needing
      dh_movefiles.
  * debian/source/format
    - New file.
  * fweb-doc.doc-base
    - (Section): Update from Apps/Programming to Programming.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 21:05:43 +0200

fweb (1.62-11) unstable; urgency=low

  * Fixed Web/Makefile not to depend on the number of splitted info files
    (Closes: #203430).
  * Use dhbuildinfo.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Aug 2003 09:14:36 +0200

fweb (1.62-10) unstable; urgency=low

  * Rebuilt with current debhelper to conform to new /usr/doc policy
    (lintian).
  * Changed build options and support "noopt" instead of "debug" flag.
  * Bounced Standards-Version to 3.5.10.
  * Use debian/compat, build-dep on debhelper 3.4.4 or greater.
  * Improved description for fweb-doc (Closes: #128253).

 -- Yann Dirson <dirson@debian.org>  Sun,  1 Jun 2003 17:16:16 +0200

fweb (1.62-9) unstable; urgency=low

  * The "Fifth anniversary (nearly)" release !
  * Spelling in description (Closes: #12465).
  * Spelling in copyright (lintian).
  * Workaround in texi doc so that "makeinfo --html" can work - texi2html
    still does not (still many warnings).  Brought doc-base file from the
    attic.
  * DEB_BUILD_OPTIONS support.
  * Bounced Standards-Version to 3.5.6.
  * Modernized debian/rules, debhelper v3.
  * Split doc in its own package.

 -- Yann Dirson <dirson@debian.org>  Fri,  4 Jan 2002 23:20:22 +0100

fweb (1.62-8) unstable; urgency=medium

  * Reported NMU fix in source file (Closes: #103151).
  * Completed build-depend control field (Closes: #104386, #86158).
  * Added category info to texinfo doc.

 -- Yann Dirson <dirson@debian.org>  Wed,  1 Aug 2001 01:09:29 +0200

fweb (1.62-7.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103151

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

fweb (1.62-7) unstable; urgency=low

  * Added Build-depends: texinfo (Closes: #84611).
  * Do not convert texi to HTML, conversion now fails.

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Feb 2001 22:42:42 +0100

fweb (1.62-6) unstable; urgency=low

  * Build using "-g" as per policy.
  * Fix for infinite loop when using single-letter @ commands in
    verbatim mode (Closes: #52702).
  * Regenerate common.c to really have 1.62 as version number.

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Dec 1999 22:03:20 +0100

fweb (1.62-5) unstable; urgency=low

  * Moved man, doc, info to /usr/share as per FHS.
  * Some debian/rules cleanups.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 1999 17:58:10 +0200

fweb (1.62-4) unstable; urgency=low

  * Applied patch from Hartmut Koptein to allow compilation with glibc
    2.1 (Closes: Bug#37302 -- Bug#29535 was closed but -4 had not yet been
    released).
  * Moved latex style file from /usr/lib/ to /usr/share/ (Closes:
    Bug#40439).
  * Fixed the version string saying "1.61" instead of "1.62".
  * Some debian/rules cleanup

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Jun 1999 21:32:30 +0200

fweb (1.62-3) frozen unstable; urgency=low

  * Check for texhash before trying to run it, as fweb doesn't depend
    on TeX (Fixes: Bug#28904).
  * Suppressed useless X- fields in debian/control.

 -- Yann Dirson <dirson@debian.org>  Thu, 12 Nov 1998 21:39:13 +0100

fweb (1.62-2) frozen unstable; urgency=low

  * Recompiled for ncurses 4.
  * Passed lintian 0.9.3.

 -- Yann Dirson <dirson@debian.org>  Tue,  3 Nov 1998 19:53:49 +0100

fweb (1.62-1) unstable; urgency=low

  * New upstream release (Fixes: Bug#26247).  Probably fixes Bug#25969
    and Bug#26122 as well, but I did not checked yet.
  * Removed .texi and .info from docbase file (Fixes: Bug#23341).
  * Manually edited configure to use ncurses termcap emulation,
    because configure.in is not shipped.
  * Minor debian/rules cleanups.
  * Passed lintian 0.8.3.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Sep 1998 20:33:04 +0200

fweb (1.60beta-11) frozen unstable; urgency=low

  * Fixed typo in prerm (Fixes: Bug#22248).
  * Passed lintian 0.4.2.

 -- Yann Dirson <dirson@debian.org>  Fri,  8 May 1998 21:36:47 +0200

fweb (1.60beta-10) frozen unstable; urgency=low

  * Fixed install-docs check+call to make postinst/prerm abort (Fixes:
    Bug#21254).

 -- Yann Dirson <dirson@debian.org>  Tue, 21 Apr 1998 21:34:29 +0200

fweb (1.60beta-9) frozen unstable; urgency=low

  * Make it install into frozen too.

 -- Yann Dirson <dirson@debian.org>  Mon,  6 Apr 1998 10:48:33 +0200

fweb (1.60beta-8) unstable; urgency=low

  * Fixed test for install-docs to use -x.
  * Added provision for debhelper in prerm.
  * Fixed docbase location for HTML docs (Fixes: Bug#20672).

 -- Yann Dirson <dirson@debian.org>  Sun,  5 Apr 1998 16:17:29 +0200

fweb (1.60beta-7) unstable; urgency=low

  * Updated maintainer address.
  * Changed upstream version number to reflect beta state.  Final 1.60
    should appear soon.
  * Renamed source file to reflect this fact.
  * Added note in copyright file about the source archive being no
    more available on the original server, until final 1.60 is out.
  * Removed .du file.
  * Updated FSF address in copyright file.
  * Removed use of deprecated dh_installdebfiles.
  * Replaced menu/dwww support with docbase support.
  * Added paranoid "export LC_ALL=C" in debian/rules.
  * Conforms to standards version 2.4.0.0.
  * Passed lintian 0.3.1.

 -- Yann Dirson <dirson@debian.org>  Fri, 13 Mar 1998 10:52:28 +0100

fweb (1.60-6) unstable; urgency=low

  * Added call to 'texhash' in postinst/postrm.
  * Switched to debhelper.
  * Dropped support fod dwww-index, as menu is more powerful.

 -- Yann Dirson <dirson@univ-mlv.fr>  Thu, 11 Dec 1997 17:28:03 +0100

fweb (1.60-5) unstable; urgency=low

  * Removed DEBIAN/ directory from source! (Closes:Bug#13619).
  * Moved latex files into a litprog/ subdir.
  * Use new virtual packages "c-compiler" & "fortran77-compiler" in
    Recommends.
  * Recommends "tetex-base" instead of old "latex".
  * Replaced old "Recommends: `,'" with a more usefule "Recommends: `|'"
    with an additionnal "Suggests: `,'" in control file.

 -- Yann Dirson <dirson@univ-mlv.fr>  Sat, 29 Nov 1997 17:15:54 +0100

fweb (1.60-4) unstable; urgency=low

  * Switched to libc6
  * Misc debian/rules cleanup
  * Provided documentation as info files again
  * Moved html files under doc/fweb/html-info
  * Added minimal manpage for idxmerge (really fixes bug #8560)

 -- Yann Dirson <dirson@univ-mlv.fr>  Sun, 29 Jun 1997 21:29:08 +0200

fweb (1.60-3) unstable; urgency=low

  * Turned info documents into HTML
  * Added support for menu/dwww and dwww/.dwww-index to access the doc
  * Cleanups in debian/rules and Web/Makefile

 -- Yann Dirson <dirson@univ-mlv.fr>  Sat, 14 Jun 1997 13:31:39 +0200

fweb (1.60-2) unstable; urgency=low

  * Added missing manpage links (fixes bug #8560)
  * Fixed typos in Description
  * Removed requirement of version ">= 2e" in latex recommendation

 -- Yann Dirson <dirson@univ-mlv.fr>  Tue, 6 May 1997 22:46:13 +0200

fweb (1.60-1) unstable; urgency=low

  * Initial revision

 -- Yann Dirson <dirson@univ-mlv.fr>  Sun, 9 Feb 1997 13:19:17 +0100
